cc.funkemunky.api.utils.messages

## Class MessageConfig

- java.lang.Object
- - cc.funkemunky.api.utils.messages.MessageConfig

    public class MessageConfig
    extends java.lang.Object

### Field Summary

Fields
`java.util.Map<java.lang.String,java.lang.String>` `messageMappings`

### Constructor Summary

Constructors
Constructor and Description
`MessageConfig(org.bukkit.plugin.Plugin plugin, java.lang.String directory, java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage(java.lang.String key)`
`void` `insert(java.lang.String key, java.lang.String message)`
`void` `loadConfig()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### messageMappings

    public java.util.Map<java.lang.String,java.lang.String> messageMappings

### Constructor Detail

#### MessageConfig

    public MessageConfig(org.bukkit.plugin.Plugin plugin,
                         java.lang.String directory,
                         java.lang.String name)

### Method Detail

#### getMessage

    public java.lang.String getMessage(java.lang.String key)

#### insert

    public void insert(java.lang.String key,
                       java.lang.String message)

#### loadConfig

    public void loadConfig()